### Method

# Vte Terminal get_termprop_data

since: 0.78

#### Declaration [src]

    const uint8_t*
    vte_terminal_get_termprop_data (
      VteTerminal* terminal,
      const char* prop,
      size_t* size
    )

#### Description [src]

Returns the value of a `VTE_PROPERTY_DATA` termprop, or `NULL` if `prop` is unset, or `prop` is not a registered property.

Available since: 0.78

#### Parameters

`prop`

  Type: `const char*`

  A termprop name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `size_t*`

  A location to store the size of the data.

  The argument will be set by the function.

#### Return value

Type: An array of `guint8`

The property’s value, or `NULL`.

The length of the array is in the `size` argument.
The returned data is owned by the instance.
The return value can be `NULL`.